> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# matcher.lyrics.get

> Get the lyrics for a track based on title and artist.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["basic"]} />

This API uses fuzzy search to match your input parameters with our catalogue’s metadata.

**Make sure to:**

* fulfill the [country restrictions](/content-restrictions) you receive for every copyrighted content;
* apply the [tracking method](/lyrics-views-tracking) of your choice.


## OpenAPI

````yaml get /ws/1.1/matcher.lyrics.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/matcher.lyrics.get:
    get:
      tags:
        - Matcher
      summary: matcher.lyrics.get
      description: Get the lyrics for a track based on title and artist.
      operationId: matcherLyricsGet
      parameters:
        - name: q_track
          in: query
          schema:
            type: string
            example: Wildest Dreams (Taylor's Version)
          description: The song title. Required if the track_isrc is not indicated.
          required: true
        - name: q_artist
          in: query
          schema:
            type: string
            example: Taylor Swift
          description: The song artist. Required if the track_isrc is not indicated.
          required: true
        - name: track_isrc
          in: query
          schema:
            type: string
            example: USUG12103658
          description: >-
            (Optional parameter) A valid ISRC identifier. If you have an ISRC ID
            in your catalogue you can query using this ID only.
      responses:
        '200':
          description: 200 OK / 401 Unauthorized / 404 Not Found
          headers:
            Accept-Ranges:
              schema:
                type: string
                example: bytes
            Age:
              schema:
                type: string
                example: '0'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '100'
            Date:
              schema:
                type: string
                example: Thu, 13 Feb 2025 13:52:00 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Via:
              schema:
                type: string
                example: 1.1 varnish
            X-Cache:
              schema:
                type: string
                example: MISS
            X-Cache-Hits:
              schema:
                type: string
                example: '0'
            X-Served-By:
              schema:
                type: string
                example: cache-iad-kcgs7200159-IAD
            X-Timer:
              schema:
                type: string
                example: S1739454720.094223,VS0,VE91
            x-mxm-api-application-id:
              schema:
                type: string
                example: '1409624942950'
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.082682132720947'
            x-mxm-header-status:
              schema:
                type: string
                example: '404'
            x-mxm-nginx-ingress-controller:
              schema:
                type: string
                example: nginx-cdt-apisite-api
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              lyrics:
                                type: object
                                properties:
                                  explicit:
                                    type: number
                                    example: 1
                                  lyrics_body:
                                    type: string
                                    example: >-
                                      He said, "Let's get out of this town

                                      Drive out of the city, away from the
                                      crowds"

                                      I thought, "Heaven can't help me now"

                                      Nothing lasts forever

                                      But this is gonna take me down


                                      He's so tall, and handsome as hell

                                      He's so bad, but he does it so well

                                      I can see the end as it begins

                                      My one condition is


                                      Say you'll remember me standing in a nice
                                      dress

                                      Staring at the sunset, babe

                                      Red lips and rosy cheeks

                                      Say you'll see me again

                                      Even if it's just in your wildest dreams,
                                      ah-ah, ha

                                      Wildest dreams, ah-ah, ha


                                      I said, "No one has to know what we do"

                                      His hands are in my hair, his clothes are
                                      in my room

                                      And his voice is a familiar sound

                                      Nothing lasts forever

                                      But this is getting good now


                                      He's so tall, and handsome as hell

                                      He's so bad, but he does it so well

                                      And when we've had our very last kiss

                                      My last request, it is


                                      Say you'll remember me standing in a nice
                                      dress

                                      Staring at the sunset, babe

                                      Red lips and rosy cheeks

                                      Say you'll see me again

                                      Even if it's just in your wildest dreams,
                                      ah-ah, ha (ah-ah, ha)

                                      Wildest dreams, ah-ah, ha


                                      You'll see me in hindsight, tangled up
                                      with you all night

                                      Burning it down

                                      Someday when you leave me, I bet these
                                      memories

                                      Follow you around


                                      You'll see me in hindsight, tangled up
                                      with you all night

                                      Burning (burning) it (it) down (down)

                                      Someday when you leave me, I bet these
                                      memories

                                      Follow (follow) you (you) around (around)

                                      (Follow you around)


                                      Say you'll remember me standing in a nice
                                      dress

                                      Staring at the sunset, babe

                                      Red lips and rosy cheeks

                                      Say you'll see me again, even if it's just
                                      pretend


                                      Say you'll remember me standing in a nice
                                      dress

                                      Staring at the sunset, babe

                                      Red lips and rosy cheeks

                                      Say you'll see me again

                                      Even if it's just in your (just pretend,
                                      just pretend)

                                      Wildest dreams, ah-ah, ha (ah-ah-ah-ah)

                                      Wildest dreams, ah-ah, ha

                                      (Even if it's just in your) wildest
                                      dreams, ah-ah, ha


                                      In your wildest dreams, ah-ah, ha
                                  lyrics_copyright:
                                    type: string
                                    example: >-
                                      Writer(s): Taylor Swift, Shellback, Max
                                      Martin

                                      Copyright: Taylor Swift Music, Mxm Music
                                      Ab, Sony/atv Tree Publishing

                                      Lyrics powered by www.musixmatch.com
                                  lyrics_id:
                                    type: number
                                    example: 33540930
                                  lyrics_language:
                                    type: string
                                    example: en
                                  pixel_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_33540930/su_0/rs_0/...zLt8GECCNyZAt2JlGj5CFosV7FJ6v8sOeDIxwCqPAozD4zBcgrQg/
                                  region_restriction:
                                    type: object
                                    properties:
                                      allowed:
                                        type: array
                                        items:
                                          type: string
                                          example: XW
                                        example:
                                          - XW
                                      blocked:
                                        type: array
                                        items: {}
                                        example: []
                                  script_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_33540930/su_0/rs_0/...X0_nlfnK3pQQtj_0NCndT4ssxzlKC_cOnn58vHIv_ZwmCEWVkA/
                                  updated_time:
                                    type: string
                                    example: '2024-04-08T02:07:16Z'
                          - type: array
                            items: {}
                            example: []
                          - type: array
                            items: {}
                            example: []
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.01480507850647
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        lyrics:
                          explicit: 1
                          lyrics_body: >-
                            He said, "Let's get out of this town

                            Drive out of the city, away from the crowds"

                            I thought, "Heaven can't help me now"

                            Nothing lasts forever

                            But this is gonna take me down


                            He's so tall, and handsome as hell

                            He's so bad, but he does it so well

                            I can see the end as it begins

                            My one condition is


                            Say you'll remember me standing in a nice dress

                            Staring at the sunset, babe

                            Red lips and rosy cheeks

                            Say you'll see me again

                            Even if it's just in your wildest dreams, ah-ah, ha

                            Wildest dreams, ah-ah, ha


                            I said, "No one has to know what we do"

                            His hands are in my hair, his clothes are in my room

                            And his voice is a familiar sound

                            Nothing lasts forever

                            But this is getting good now


                            He's so tall, and handsome as hell

                            He's so bad, but he does it so well

                            And when we've had our very last kiss

                            My last request, it is


                            Say you'll remember me standing in a nice dress

                            Staring at the sunset, babe

                            Red lips and rosy cheeks

                            Say you'll see me again

                            Even if it's just in your wildest dreams, ah-ah, ha
                            (ah-ah, ha)

                            Wildest dreams, ah-ah, ha


                            You'll see me in hindsight, tangled up with you all
                            night

                            Burning it down

                            Someday when you leave me, I bet these memories

                            Follow you around


                            You'll see me in hindsight, tangled up with you all
                            night

                            Burning (burning) it (it) down (down)

                            Someday when you leave me, I bet these memories

                            Follow (follow) you (you) around (around)

                            (Follow you around)


                            Say you'll remember me standing in a nice dress

                            Staring at the sunset, babe

                            Red lips and rosy cheeks

                            Say you'll see me again, even if it's just pretend


                            Say you'll remember me standing in a nice dress

                            Staring at the sunset, babe

                            Red lips and rosy cheeks

                            Say you'll see me again

                            Even if it's just in your (just pretend, just
                            pretend)

                            Wildest dreams, ah-ah, ha (ah-ah-ah-ah)

                            Wildest dreams, ah-ah, ha

                            (Even if it's just in your) wildest dreams, ah-ah,
                            ha


                            In your wildest dreams, ah-ah, ha
                          lyrics_copyright: >-
                            Writer(s): Taylor Swift, Shellback, Max Martin

                            Copyright: Taylor Swift Music, Mxm Music Ab,
                            Sony/atv Tree Publishing

                            Lyrics powered by www.musixmatch.com
                          lyrics_id: 33540930
                          lyrics_language: en
                          pixel_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_33540930/su_0/rs_0/...zLt8GECCNyZAt2JlGj5CFosV7FJ6v8sOeDIxwCqPAozD4zBcgrQg/
                          region_restriction:
                            allowed:
                              - XW
                            blocked: []
                          script_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_33540930/su_0/rs_0/...X0_nlfnK3pQQtj_0NCndT4ssxzlKC_cOnn58vHIv_ZwmCEWVkA/
                          updated_time: '2024-04-08T02:07:16Z'
                      header:
                        execute_time: 0.01480507850647
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0019779205322266
                        status_code: 401
                404 Not Found:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.082682132720947
                        status_code: 404
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````